using Microsoft.AspNetCore.Identity.UI.Services;

namespace bitforum.Services
{
    public class EmailSender : IEmailSender
    {
        private readonly IMailService _mailService;

        public EmailSender(IMailService mailService)
        {
            _mailService = mailService;
        }

        // 이메일 전송
        public async Task SendEmailAsync(string toAddress, string subject, string message)
        {
            await _mailService.SetEmailLogAsync(new SendData(toAddress, subject, message));
        }
    }
}
